Bug#628713: qtractor: Build-Depend on libjack-dev only

rosea grammostolla rosea.grammostola at gmail.com
Tue May 31 15:24:56 UTC 2011

Package: qtractor
Version: 0.4.8-2
Severity: normal

Build-Depend on libjack-dev only

    libjack-dev is natively provided by jackd1 and hence pulled in on the
    buildds. This is what we want: all packages in Debian will be built
    against jackd1.

    If somebody happens to run jackd2 on his workstation, then
    libjack-jackd2-dev will (virtually) provide libjack-dev, in other words,
    those who have jackd2 are still able to compile the package while the
    canonical default for the buildds is jackd1.

    Long story short: Build-Depend must always be "libjack-dev". Nothing
    more, nothing less, except for packages really requiring jackd2 (the
    only one right now that I'm aware of is ladish)

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages qtractor depends on:
ii  jackd                5                   JACK Audio Connection Kit (default
ii  libasound2           1.0.23-4            shared library for ALSA applicatio
ii  libc6                2.13-4              Embedded GNU C Library: Shared lib
ii  libgcc1              1:4.6.0-2           GCC support library
ii  libjack0 [libjack-0. 1:0.120.1+svn4142-1 JACK Audio Connection Kit (librari
ii  liblo7               0.26~repack-7       Lightweight OSC library
ii  libmad0              0.15.1b-6           MPEG audio decoder library
ii  libogg0              1.2.2~dfsg-1        Ogg bitstream library
ii  libqt4-xml           4:4.7.3-1           Qt 4 XML module
ii  libqtcore4           4:4.7.3-1           Qt 4 core module
ii  libqtgui4            4:4.7.3-1           Qt 4 GUI module
ii  librdf0              1.0.13-2            Redland Resource Description Frame
ii  librubberband2       1.3-1.1+b1          an audio time-stretching and pitch
ii  libsamplerate0       0.1.7-3             Audio sample rate conversion libra
ii  libslv2-9            0.6.6-9             A library for simple use of LV2 pl
ii  libsndfile1          1.0.24-1            Library for reading/writing audio 
ii  libstdc++6           4.6.0-2             The GNU Standard C++ Library v3
ii  libvorbis0a          1.3.2-1             The Vorbis General Audio Compressi
ii  libvorbisenc2        1.3.2-1             The Vorbis General Audio Compressi
ii  libvorbisfile3       1.3.2-1             The Vorbis General Audio Compressi
ii  libx11-6             2:1.4.3-1           X11 client-side library
ii  zlib1g               1:    compression library - runtime

qtractor recommends no packages.

qtractor suggests no packages.

-- no debconf information

More information about the pkg-multimedia-maintainers mailing list